XtAllocateGC(3Xt)

NAME
XtAllocateGC - obtain a sharable GC with modifiable fields

SYNTAX

GC XtAllocateGC(Widget w, Cardinal depth, XtGCMask value_mask, XGCValues *values, XtGCMask dynamic_mask, XtGCMask unused_mask);

ARGUMENTS

values
    Specifies the actual values for this GC.

value_mask
    Specifies which fields of the values are specified.

w   Specifies the widget.

depth
    Specifies the depth for which the returned GC is valid, or 0.

dynamic_mask
    Specifies the fields of the GC that will be modified by the caller.

unused_mask
    Specifies the fields of the GC that will not be needed by the caller.

DESCRIPTION
The function returns a sharable GC that may be modified by the client. The screen field of the specified widget or of the nearest widget ancestor of the specified object and the specified depth argument supply the root and drawable depths for which the GC is to be valid. If depth is zero the depth is taken from the depth field of the specified widget or of the nearest widget ancestor of the specified object.

The value_mask argument specifies the fields of the GC that will be initialized with the respective members of the values structure. The dynamic_mask argument specifies fields that the caller intends to modify during program execution. The caller must ensure that the corresponding GC field is sdet prior to each use of the GC. The unused_mask argument specifies fields of the GC that are of no interest to the caller. The caller may make no assumptions about the contents of any fields specified in unused_mask. The caller may assume that at all times all fields not specified in either dynamic_mask or unused_mask have their default value if not specified in value_mask or the value specified by values. If a field is specified in both value_mask and dynamic_mask, the effect is as if it were specified only in dynamic_mask and then immediately set to the value in values. If a field is set in unused_mask and also in either value_mask or dynamic_mask, the specification in unused_mask is ignored.

tries to minimize the number of unique GCs created by comparing the arguments with those of previous calls and returning an existing GC when there are no conflicts. may modify and return an existing GC if it was allocated with a nonzero unused_mask.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface